Skip to content

Get a document of a listing

GET
/listings/{listingId}/attachments/{attachmentId}
curl --request GET \
--url https://acme.mykreezalid.com/front_api/v1/listings/4242/attachments/310 \
--header 'Authorization: Bearer <token>'

Returns one document attached to a listing. Note the key of the response body: attachement.

listingId
required
integer

Listing ID.

Example

4242
attachmentId
required
integer

Document ID.

Example

310

The document.

Media typeapplication/json
object
attachement

A document attached to a listing, such as a user manual or a warranty.

object
id
integer
app_id

Identifier of your marketplace. Returned by the list and get operations only.

integer
listing_id

Listing the document belongs to.

integer
createdBy

Member who added the document.

integer
nullable
updatedBy

Member who last changed the document. Returned by the list and get operations only.

integer
nullable
name

Display name of the document.

string
nullable
type
string
Allowed values: USER_MANUAL WARRANTY CERTIFICATES OTHER MEASURE_INSTRUCTIONS
url

Public URL of the stored file.

string format: uri
filename

File name of the stored file.

string
nullable
created
string format: date-time
modified
string format: date-time

Example

{
"attachement": {
"id": 310,
"app_id": 1001,
"listing_id": 4242,
"createdBy": 8128,
"name": "User manual",
"type": "USER_MANUAL",
"url": "https://cdn.example.com/assets/manual.pdf",
"filename": "manual.pdf",
"created": "2026-10-13T09:30:00+00:00",
"modified": "2026-10-13T09:30:00+00:00"
}
}

No valid access token was sent.

Media typeapplication/json

Error body returned by the Front API when it refuses a request.

object
code

HTTP status code, repeated in the body.

integer
status
string
message

Human-readable reason.

string

Example

{
"code": 403,
"status": "error",
"message": "Token not found in request"
}

No such document for this listing.

Media typeapplication/json

Error body returned by the Front API when it refuses a request.

object
code

HTTP status code, repeated in the body.

integer
status
string
message

Human-readable reason.

string

Example

{
"code": 403,
"status": "error",
"message": "Token not found in request"
}